Bug 137894 - FILESAVE RTF Language, font family, and font size mess up
Summary: FILESAVE RTF Language, font family, and font size mess up
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: filter:rtf
Depends on:
Blocks: RTF-Character RTF-Paragraph
  Show dependency treegraph
 
Reported: 2020-10-31 08:36 UTC by Mark Hung
Modified: 2020-12-09 14:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Source document for the test. (13.09 KB, application/vnd.oasis.opendocument.text)
2020-10-31 08:37 UTC, Mark Hung
Details
Side by side screen capture (189.68 KB, image/png)
2020-10-31 08:43 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2020-10-31 08:36:46 UTC
Description:
Language, font family, and font size of the Japanese characters in the attached file mess up after save to .rtf and reload.

Steps to Reproduce:
1. Open the attached file.
2. Save it as .rtf
3. Reload

Actual Results:
Language of the Japanese text and Hebrew becomes Arabic (Egypt). The font family of Japanese text becomes Mangal. The font size become 10.5.

Expected Results:
The font family was MS UI Gothic and Verdana;Tahoma;Helvetica;Arial for Japnese and Hebrew text. The font size was 20 and 32.


Reproducible: Always


User Profile Reset: No



Additional Info:
版本:6.4.6.2 (x64)
組建 ID:0ce51a4fd21bff07a5c061082cc82c5ed232f115
CPU 執行緒:16; OS:Windows 10.0 Build 18363; UI 算繪:GL; VCL: win; 
語言地區:zh-TW (zh_TW); 介面語言:zh-TW
Calc: CL
Comment 1 Mark Hung 2020-10-31 08:37:35 UTC
Created attachment 166889 [details]
Source document for the test.
Comment 2 Mark Hung 2020-10-31 08:43:51 UTC
Created attachment 166890 [details]
Side by side screen capture
Comment 3 Mark Hung 2020-10-31 11:53:06 UTC
Font family and language change reproducible in 

版本:5.4.7.2
組建 ID:c838ef25c16710f8838b1faec480ebba495259d0
CPU 執行緒:16; OS:Windows 6.2; UI 算繪:GL; 
語言地區:zh-TW (zh_TW); Calc: CL


Font size change seems to be a newer regression.
Comment 4 wingednova 2020-11-07 15:38:39 UTC
Reproduced in: 
Version: 7.0.3.1 (x64)
Build ID: d7547858d014d4cf69878db179d326fc3483e082
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: threaded



.rtf shows the following results on my system:
Japanese text: Mangal, 10.5(black),12(red)
Hebrew: Century Gothic, 12
English: Century Gothic, 10.5

Expected: 
Japanese text: MS UI Gothic, 10.5(black),20(red)
Hebrew: Verdana;Tahoma;Helvetica;Arial, 32
English: Century Gothic, 10.5


Reproduced on an entirely new file too.
Expected: 
Japanese text: NSimSun, 10.5
Hebrew: Arial, 12
English: Liberation Serif, 12

in .rtf is
Japanese text: Arial, 12
Hebrew: Liberation Serif, 12
English: Liberation Serif, 12

*** This bug has been marked as a duplicate of bug 89491 ***
Comment 5 Buovjaga 2020-11-07 17:36:59 UTC
I tested and this is not a duplicate of bug 89491. Bug 89491 is about saving to .doc. If I save Mark's file to .doc, I don't see the problems that are shown with .rtf.
Comment 6 Commit Notification 2020-11-25 08:21:07 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f97af19460fbd7483a0e1c1d0137e814f5390e69

tdf#137894 separate associated character properties

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-11-25 17:18:27 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/efe85aa1ef4034ae70c50a256b491737199b8747

tdf#137894 separate associated character properties

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Buovjaga 2020-12-03 12:36:40 UTC
I verify the fix

Arch Linux 64-bit
Version: 7.2.0.0.alpha0+
Build ID: 79ec66700266a22966d9e308a716be56c9c3a4a7
CPU threads: 8; OS: Linux 5.9; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 30 November 2020